@echo off
rem
rem $Header: usm/src/cmds/acfsroot/acfsroot.bat /main/3 2010/05/04 08:03:26 gsanders Exp $
rem
rem acfsroot.bat
rem 
rem Copyright (c) 2007, 2010, Oracle and/or its affiliates. 
rem All rights reserved. 
rem
rem    NAME
rem      acfsroot.bat - frontend for the Perl script that does the work.
rem
rem    DESCRIPTION
rem        Purpose
rem            Start/stop ADVM/ACFS drivers
rem
rem        Usage
rem            acfsroot [start] [stop]
rem
rem    NOTES
rem
rem    MODIFIED   (MM/DD/YY)
rem    gsanders    10/04/30 - Merge forward 11.2.0.1 work
rem    agraves     03/19/10 - Remove CRS_HOME and ORACLE_HOME instantiation
rem                           logic, as they never get instantiated.
rem    averhuls    03/17/09 - put quotes around %ADE_VIEW_ROOT%
rem    averhuls    02/02/09 - Creation from usm_root.bat
rem

setlocal

set CMD=acfsroot

if not exist "%ADE_VIEW_ROOT%" (
  set TOOLS_DRIVER=%ORACLE_HOME%/lib/acfstoolsdriver.bat
) else (
  set TOOLS_DRIVER=%ADE_VIEW_ROOT%/usm/src/cmds/acfstoolsdriver.bat
)

rem Now run acfstoolsdriver - which will call acfsroot
%TOOLS_DRIVER% %CMD% %1 %2 %3 %4 %5 %6 %7 %8 %9

:end

endlocal

exit /B %ERRORLEVEL%
